# TXVoiceReverbType class Null safety

Reverb effect type definition (karaoke room, small room, big hall, deep, resonant...)

## Constructors

TXVoiceReverbType()

## Properties

hashCode → int
  The hash code for this object.
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Properties

TXLiveVoiceReverbType_0 ↔ int
  Disable reverb
  read / write
TXLiveVoiceReverbType_1 ↔ int
  KTV
  read / write
TXLiveVoiceReverbType_2 ↔ int
  Small room
  read / write
TXLiveVoiceReverbType_3 ↔ int
  Big hall
  read / write
TXLiveVoiceReverbType_4 ↔ int
  Deep
  read / write
TXLiveVoiceReverbType_5 ↔ int
  Resonant
  read / write
TXLiveVoiceReverbType_6 ↔ int
  Metallic
  read / write
TXLiveVoiceReverbType_7 ↔ int
  Husky
  read / write